package com.njcn.product.cnzutai.zutai.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;

import com.njcn.product.cnzutai.zutai.pojo.param.CsConfigurationParm;
import com.njcn.product.cnzutai.zutai.pojo.po.CsConfigurationPO;
import com.njcn.product.cnzutai.zutai.pojo.vo.CsConfigurationVO;
import org.springframework.web.multipart.MultipartFile;

/**
 * 
 * Description:
 * Date: 2023/5/31  10:53【需求编号】
 *
 * @author clam
 * @version V1.0.0
 */
public interface CsConfigurationService extends IService<CsConfigurationPO>{


    boolean add(CsConfigurationParm csConfigurationParm);

    boolean audit(CsConfigurationParm.CsConfigurationAuditParam auditParm);

    boolean active(String id);

    CsConfigurationPO getActive();

    IPage<CsConfigurationVO> queryPage(CsConfigurationParm.CsConfigurationQueryParam csConfigurationQueryParam);

    String uploadImage(MultipartFile issuesFile);
}
